Open topic with navigation

TIBCO® Managed File Transfer Platform Server for z/OS 8.1.0

# GLOBAL Startup Parameters

The Platform Server uses some local parameters to initialize and perform functions.

You must specify these parameters in a dataset, with a ddname of `GLOBAL` member. You can find a sample `GLOBAL` member in the Platform Server `SAMPLIB` library.

See the following table for the parameters that are included in the `GLOBAL` member.

Parameter | Description
--- | ---
`ACCEPT_VERIFIED_USER` | Defines whether users verified on other z/OS platforms can be used on this system without a password. When a user submits a file transfer request on a z/OS system, by default the local user ID is sent to the remote system. Valid values are `YES` and `NO`. The default value is `NO`.
`ALLOW_MANAGE_REQUESTS` | Defines whether transfer management requests initiated through TCP or SNA are accepted. This parameter applies to these Platform Server interfaces: batch, script, API, REXX and ISPF, and does not apply to transfers managed by Command Center. Management requests are typically ISPF or REXX transfer inquiries. Valid values are: `YES`: TCP and SNA transfer requests are accepted. This is the default value. `NO`: TCP and SNA transfer requests are not accepted. Only requests initiated on the same server and scheduled through cross memory are accepted. `NODE`: The node `ALLOW_MANAGE_REQUESTS` parameter defines whether TCP or SNA requests are accepted. If a node definition is not defined for an incoming transfer management request, the request is denied.
`ALLOW_TRANSFER_REQUESTS` | Defines whether transfer schedule requests initiated through TCP or SNA are accepted. This parameter applies to these Platform Server interfaces: batch, script, API, REXX and ISPF, and does not apply to transfers scheduled by Command Center. Valid values are: `YES`: TCP and SNA transfer requests are accepted. This is the default value. `NO`: TCP and SNA transfer requests are not accepted. Only requests initiated on the same server and scheduled through cross memory are accepted. `NODE`: The node `ALLOW_TRANSFER_REQUESTS` parameter defines whether TCP or SNA requests are accepted. If a node definition is not defined for an incoming transfer schedule request, the request is denied.
`APPC-APPLID` | Defines the APPLID for VTAM. This operand also defines the minor node name for the application. You must have this parameter defined for the Platform Server to initialize SNA communications. If this parameter is not defined, the Platform Server does not attempt to start Platform Server SNA communications. Valid values are applid and`FUSNAPPL`.
`APPC_GENERIC_NAME` | Defines the resource as a VTAM generic resource to enable SYSPLEX support within TIBCO MFT Platform Server for z/OS. If this parameter is defined without the necessary SYSPLEX software and hardware support, a message is displayed indicating that SYSPLEX support is disabled. The valid value is an 8-character VTAM generic name.
`AUDIT_TEMP_ERRORS` | Defines whether the Platform Server writes audit records for temporary network of file errors. This parameter only applies when an error is retried. When the retries are exhausted, the Platform Server always writes an audit record when the request is purged from the active queue. Valid values are: `NO`: Temporary errors are not written to the audit log or to SMF. `YES`: Temporary records are written to the audit log and to SMF. `BOTH`: Temporary records are written to the audit log and to SMF. `AUDIT`: Temporary records are written to the audit log but not to SMF. `SMF`: Temporary records are written to SMF but not to the audit log.
`AUTOENABLE` | Defines how members of the CONFIG DD are enabled at startup. Valid values are: `NO`: Only members defined in the `CONFIG` member or overridden by the GLOBAL CONFIG member are enabled. This is the default value. `YES`: All members of the CONFIG DD statement are enabled unless the member is defined with the `AUTOENABLE=NO` parameter. If you want to use the Command Center function that creates node definitions, you must specify `AUTOENABLE=YES`.
`BOSSID` | Specifies the name of a FACILITY resource used to determine if a user is authorized to administer the work queue or maintain profile information. Valid values are `ANY` and a facility name. This parameter supports the following functions: Restricts the people that are able to administer the Platform Server work queue. By specifying a facility class name in this field, the Platform Server gives rights to administer the Platform Server work queue only to those users that have READ access to this facility class. By specifying `ANY` or by leaving this field bank, the Platform Server gives anybody rights to access the work queue: all valid users have the same rights and privileges. Any valid user can browse the work queue and display or put on hold or purge activities waiting to execute. You might have to consult your mainframe security specialist for a facility that can be used to limit access to the Platform Server work queue. Restricts a user to view but not to update access to the Platform Server work queue. By creating a facility class with a prefix of the BOSSID and a suffix of .READ, you can assign users that can view all Platform Server transfers but can only update transfers where the local user ID matches their TSO user ID. Determines if a user is a Platform Server administrator with ADD/DELETE/LIST capability of Platform Server profiles for all users. By specifying a facility class name in this field, the Platform Server assigns Platform Server administrator rights only to those users that have CONTROL access to this facility class. By specifying `ANY` or by leaving this field bank, the Platform Server gives anybody rights to perform the Platform Server administrator functions for all users. This means that any user is able to ADD/DELETE/LIST user profiles for all users.
`CA7` | Defines when the CA7 interface program (U7SVC) is called. Three values are defined: `YES`: U7SVC is called for tasks only when a file is created. `ALL`: U7SVC is called for tasks when a file is created or replaced. `NO`: U7SVC cannot be called. This parameter contains two subparameters. The first subparameter defines the conditions that U7SVC is called for initiator requests, while the second subparameter defines the conditions that U7SVC is called for responder tasks. The default value is `NO,NO`. For example, `CA7=YES,ALL` indicates that U7SVC is called when an initiator creates a file and when a responder creates or replaces a file.
`CCC_ADMIN_FACILITY` | Defines the facility name that is checked to determine if a Command Center user has administrative capabilities. Valid values are a 32-byte facility name and`$CCC.ADMIN`. This must be an RACF or ACF2 or Top Secret facility name. If the facility name is not defined, then no user has Command Center administrative capabilities. The Command Center administrative capabilities include: List or update node definitions. List or update profile definitions. Execute Platform Server transfers. Browse Platform Server completed transfers. Alter Platform Server transfers waiting to run.
`CCC_ALTER_FACILITY` | Defines the facility name that is checked to determine if a Command Center user has authorization to alter transfers. Valid values are a 32-byte facility name and`$CCC.ALTER`. This must be an RACF or ACF2 or Top Secret facility name. If the facility name is not defined, then users are not authorized to alter transfers.
`CCC_BROWSE_FACILITY` | Defines the facility name that is checked to determine if a Command Center user has authorization to view transfers. Valid values are a 32-byte facility name and`$CCC.BROWSE`. This must be a RACF or ACF2 or Top Secret facility name. If the facility name is not defined, then all validated users are authorized to view transfers. If this facility is not defined to RACF or ACF2 or Top Secret, then all validated users are authorized to view transfers. If a validated Command Center user is not authorized for this facility, then that user can only view transfers initiated by his own user ID.
`CCC_TRANSFER_FACILITY` | Defines the facility name that is checked to determine if a Command Center user has authorization to initiate transfers. Valid values are a 32-byte facility name and`$CCC.TRANSFER`. This must be a RACF or ACF2 or Top Secret facility name. If the facility name is not defined, then all validated users are authorized to initiate transfers. If this facility is not defined to RACF or ACF2 or Top Secret, then all validated users are authorized to initiate transfers.
`CONFIG` | Defines the CONFIG DD member that specifies the node members to activate. Valid values are a member name and`CONFIG`. The default member name is `CONFIG`. For more information, see Defining Remote Systems in Configuration Library.
`CRCCHECK` | Defines whether CRC checking is turned on by default. CRC checking is performed against the data that is sent over the network to ensure that the data has not been corrupted. The CRC is not performed against the file itself. ASCII to EBCDIC conversion, translation, and LF/CRLF change the contents of the file between the sender and receiver so the CRC is not performed against the file contents. Valid values are: YES: Performs CRC checking by default. NO: Does not perform CRC checking by default. NO is the default value. The CRCCHECK parameter on the Node and batch parameters override the Global CRCCHECK settings. Note: If the partner Platform Server does not support CRC checking, CRC will still be computed but will not be checked against the partner's CRC value computed.
`DATACLASS_DEFAULT_VOLCT` | Defines the volume count that is set when a new dataset is created and the `DATACLASS` parameter is specified. Valid values are any number from `0` to `255`. The default value `0` indicates that Platform Server does not set the MVS volume count and therefore uses the volume count defined by the `DATACLASS`. When a non-zero value is defined, the Platform Server sets the volume count when the following prerequisites are met: An MVS file is being created. The `DATACLASS` parameter is defined. The GLOBAL `DATACLASS_DEFAULT_VOLCT` parameter is set between `1` and `255`.
`DEFAULT_COSNAME` | Defines the default COS name that is used for all file transfers. This name must match a COS entry that is enabled at startup or through the `ENABLE` operator command. This parameter has no default value. As such, if this parameter is not entered, no default COS can be used. Therefore, if you want to use the Platform Server COS facility, you must define the node `DEFAULT_COSNAME` or the batch `COSNAME` parameter.
`DEFAULT_RECEIVE_DISP` | Defines the action to be taken when a RECEIVE request is executed, and the `RECEIVE DISP` parameter is not specified. This parameter is also known as `EFFECT`. Valid values: `CREATE_REPLACE`: This is the default value. If the file exists on the system, replaces the file. If the file does not exist, creates the file. `CREATE`: If the file does not exist, creates the file. If the file exists on the system, displays an error message and terminates the transfer request with errors. `REPLACE`: If the file exists on the system, replaces the file. If the file does not exist, displays an error message and terminates the transfer request with errors. `APPEND`: If the file exists on the system, appends to the end of the file. If the file does not exist, displays an error message and terminates the transfer request with errors. `CREATE_APPEND`: If the file exists on the system, appends to the end of the file. If the file does not exist, creates the file.
`DEFAULT_TRY_COUNT` | Defines the total number of times that a file transfer can be tried when temporary errors occur. A request that ends with a network or temporary file error can be retried. This parameter is only used when the `RETRY/TRY` count defined by the batch interface is set to `0`. The default setting is to try a request `7` times before terminating the transfer with a permanent error. If the try count is exceeded for transfers that receive recoverable file errors, transfers are terminated regardless of the `FILE_ERROR_TRY_COUNT` setting. Valid values are from `1` to `9999`.
`DNI_INTERVAL` | Defines the interval in minutes that the Platform Server waits before scanning the catalog for new datasets. The default value `1` indicates the Platform Server waits for one minute between scanning the catalog for new datasets. Valid values are from `1` to `1440`.
`DNI_USERID` | Defines whether DNI requests are run under the ACEE of the started task or under another user ID. By using the default value of STC, all DNI functions are run under the ACEE of the started task. By specifying a valid z/OS user ID, all DNI functions are run under this user ID's authorization, including scanning the catalog for requests, processing the request, and performing postprocessing actions on the file.
`EMAIL_FAIL` | Defines either a single email address or multiple email addresses separated by a semicolon (;) to send a notification message if a Platform Server file transfer request is unsuccessful. The maximum field length is 64 characters including any semicolons. As an alternative, an email distribution list defined in the organization email system can be used to specify multiple email addresses to receive this notification. This parameter has no default value, which means that no email notification takes place when a request fails. Note: `EMAIL_NOTIFY` must be selected in the NODE definition as something other than `NONE` if `EMAIL_FAIL` or `EMAIL_GOOD` is selected in the NODE definition.
`EMAIL_GOOD` | Defines either a single email address or multiple email addresses separated by a semicolon (;) to send a notification message if a Platform Server file transfer request is successful. The maximum field length is 64 characters including any semicolons. As an alternative, an email distribution list defined in the organization's email system can be used to specify multiple email addresses to receive this notification. This parameter has no default for this parameter, which means that no email notification takes place when a request is successful. Note: `EMAIL_NOTIFY` must be selected in the NODE definition as something other than `NONE` if `EMAIL_FAIL` or `EMAIL_GOOD` is selected in the NODE definition.
`EMAIL_NOTIFY` | Defines when the Platform Server sends email notifications. Valid values are: `NONE`: No email notification is sent. This is the default value. `INITIATOR`: Email notifications are sent on initiator transfers. `RESPONDER`: Email notifications are sent on responder transfers. `BOTH`: Email notifications are sent on initiator and responder transfers. Note: GLOBAL `EMAIL_GOOD` and `EMAIL_FAIL` are also required before notifications take place.
`EMAILSUBFAIL` | Defines the email subject that is used for unsuccessful email notifications. You can enter 1 to 58 characters in this field. In addition to the fixed information, tokens can be defined to add dynamic information to the subject. See the following list of the tokens in the long and short forms that are supported: #(STATUS) or #(ST): Failure or success #(NODE) or #(ND): 1-byte to 64-byte node name, IP address, or IP name #(SERVER) or #(STC): 1-character to 8-character started task name #(PROCESS) or #(PR): 1-character to 8-character transfer process name #(TRANSID) or #(TID): 10-character transfer transaction ID #(EASTERTIDE) or #(UD): 1-character to 25-character transfer description #(LFILE) or #(LF): 1-character to 255-character transfer local file name The maximum length of the subject field after token substitution is 230 bytes. The default value is `Transfer Request #(ST) Activity Number #(TR)`. Note: Columns 1 to 71 are read. Do not put any comments at the end of this parameter.
`EMAILSUBGOOD` | Defines the email subject that is used for successful email notifications. You can enter 1 to 58 characters in this field. In addition to the fixed information, tokens can be defined to add dynamic information to the subject. See the following list of the tokens that are supported in the long and short forms: #(STATUS) or #(ST): Failure or success #(NODE) or #(ND): 1-byte to 64-byte node name, IP address, or IP name #(SERVER) or #(STC): 1-character to 8-character started task name #(PROCESS) or #(PR): 1-character to 8-character transfer process name #(TRANSID) or #(TID): 10-character transfer transaction ID #(EASTERTIDE) or #(UD): 1-character to 25-character transfer description #(LFILE) or #(LF): 1-character to 255-character transfer local file name The maximum length of the subject field after token substitution is 230 bytes. The default value is `Transfer Request #(ST) Activity Number #(TR)`. Note: Columns 1 to 71 are read. Do not put any comments at the end of this parameter.
`ENCRYPT` | Defines the level of encryption that is used by default in your system. Valid values are: `NONE`: No encryption. This is the default value. `AES`: AES 256-bit encryption `AES128`: AES 128-bit encryption `DES`: DES encryption `3DES`: Triple DES encryption `BF`: Blowfish 56-bit encryption `BLOWFISH`: Blowfish 56-bit encryption `BFL`: Blowfish 448-bit encryption `BLOWFISH_LONG`: Blowfish 448-bit encryption Note: `RJ` and `RIJNDAEL` are accepted, but the compatible AES encryption is used instead. If `PASSONLY` operand is used, then only the password is encrypted using the encryption algorithm specified. The data is not encrypted. `PASSONLY` is valid only for z/OS to z/OS transfers.
`ENFORCE_SECURITY_POLICY` | Defines which security policy is enforced. Valid values are: `FIPS140`: Uses FIPS 140 security policy. `TLSFIPS`: Uses FIPS 140 protocols and ciphers to execute all SSL/TLS connections, but does not require the entire STC to execute in FIPS 140 mode. `HIPAA`: Uses HIPAA security policy. This requires that all files are transferred using encryption, and that encryption must be 128 bits or greater. This checking takes place for both initiator and responder requests. `NO`: Uses no security policy. This is the default value.
`ENQ_ENTIRE_TRANSFER` | Defines whether the entire transfer is enqueued, including Postprocessing Actions (PPA). Valid values are: `NO`: Uses SYSDSN ENQ to limit access to files while the files are allocated. This is the default value. `YES`: Uses ENQ for the file being transferred for the life of the transfer, including Postprocessing Actions.
`ERRDESC` | Defines the default descriptor code to use for Platform Server error messages. The default value is `4`. You can specify as many as you want. It is a good practice that you leave this parameter as default.
`ERRROUTE` | Defines the default console route to use for Platform Server error messages. The default value is `15`. You can specify as many as you want. It is a good practice that you leave this parameter as default.
`EXECPOSTPROC` | Defines whether directory transfer postprocessing actions are executed on the parent transfer or the child transfers. Valid values are: `PARENT`: Executes postprocessing on parent transfer. `CHILD`: Executes postprocessing on child transfers. Default: `CHILD`
`EXECPREPROC` | Defines whether directory transfer preprocessing actions are executed on the parent transfer or the child transfers. Valid values are: `PARENT`: Executes preprocessing on parent transfer. `CHILD`: Executes preprocessing on child transfers. Default: `CHILD`
`EXIT_MIGRATE_VOLUME` | Defines the 6 character VOLSER that informs the Platform Server when a dataset is migrated. This parameter is used when a storage manager other than HSM is used in an installation. This parameter has no default value. When detects this VOLSER, the Platform Server calls EXIT03 to perform the dataset recall. When this parameter is specified, `EXIT03` must also be specified as `YES`, and program `FUSEX03` must be assembled and link-edited to the Platform Server `STEPLIB`.
`EXIT_MIGRATE_WAIT_TIME` | Defines the maximum amount of time in seconds that the Platform Server waits for the dataset to be restored before marking the request as a temporary error. Valid values are from `20` to `9999`. When the storage manager user exit EXIT03 is invoked, a return code is sent indicating that a recall has been submitted and the Platform Server must wait before accessing the dataset.
`EXIT00` | Defines whether or not user exit is driven at the end of file transfer. Valid values are `NO` and`YES`. The default value is `NO`. With this exit, you can perform an action based on the result of a file transfer. This exit can be invoked on transfer completion (successful or unsuccessful) or on temporary errors, such as network errors, and also for each transfer retry. For more information on how to code a user exit, see Appendix F. User Exits. Note: The module name of the user exit is FUSEX00 and must be included in the load library at Platform Server startup if `YES` is specified for this parameter.
`EXIT01` | Defines additional security validation to ensure that the user is authorized to use Platform Server or to access the dataset in question. Valid values are `NO` and`YES`. The default value is `NO`. For more information, see Appendix F. User Exits.
`EXIT03` | Defines if the storage manager user exit can be invoked. To invoke this exit properly, the `EXIT_MIGRATE_VOLUME` must be set to the volume used by the storage management system. Valid values are `NO` and`YES`. The default value is `NO`. For more information, see Appendix F. User Exits.
`EXIT04` | Defines whether the preallocation user exit FUSEX04 can be called. Valid values are `NO` and`YES`. The default value is `NO`. For more information, see Appendix F. User Exits.
`EXIT05` | Defines whether or not the purge-transfer-from-queue user exit is driven. With this exit, you can perform an action based on the result of a file transfer. This exit is invoked when a transfer request is completed successfully or unsuccessfully and the transfer is purged from the work queue. The exit is not invoked on temporary errors, such as network errors, until the batch interface `RETRY` parameter is reached and the transfer is purged. Valid values are `NO` and`YES`. The default value is `NO`. For more information, see Appendix F. User Exits. Note: If `YES` is specified for this parameter, the module name of the user exit is FUSEX05 and must be included in the load library at Platform Server startup.
`EXIT06` | Defines whether the add transfer to queue user exit is driven. With this exit, you can check the specified transfer parameters, override parameters specified, fail the transfer or return with no changes. This exit is invoked when a transfer request is queued. Valid values are `NO` and`YES`. The default value is `NO`. For more information, see the Appendix F. User Exits. Note: If `YES` is specified for this parameter, the module name of the user exit is FUSEX06 and must be included in the load library at Platform Server startup.
`EXPIRE` | Defines the default number of days that an unfinished file transfer remains on the work queue before being purged by the Platform Server. It is a good practice that you leave this parameter to the default value of `30` days.
`EXTENDED_SECURITY_CHECK` | Defines whether extended resource checking is performed for file transfer requests. Note: This checking is only performed for initiator requests. This parameter contains two sub-parameters. The default value is `NO,NO`. The first subparameter defines whether extended resource checking is performed to check if a user is authorized to use the Platform Server. The second subparameter defines whether extended resource checking is performed to check if a user is authorized to use a node within the Platform Server. For each sub-parameter, valid values are: `ENFORCE`: Performs extended resource checking. If the extended security checking fails, displays a message and terminates the request with errors. `WARN`: Performs extended resource checking. If the extended security checking fails, displays a message, but the request can continue. This is useful in a migration phase where you do not want to terminate transfer requests. `NO`: Does not perform extended resource checking. For more information, see Define Platform Server to the z/OS Security System.
`EXTENDED_SECURITY_RESOURCE` | Defines the resource that is used when extended resource checking is turned on. The value defined by this parameter is a prefix to the fixed component of the extended resource check. For more information, see Define Platform Server to the z/OS Security System.
`FILE_ERROR_TRY_COUNT` | Defines the maximum number of times that a file transfer is tried when temporary file errors occur. Many file transfer requests are terminated because of retry-able file errors. Valid values are from `1` to `9999`. The default value is `5`. `FILE_ERROR_TRY_COUNT` cannot be overridden by the batch interface. Temporary file errors are only retried up to the lower number of the value defined by `FILE_ERROR_TRY_COUNT` and the try count defined by the transfer or by the GLOBAL `DEFAULT_TRY_COUNT`. If the `FILE_ERROR_TRY_COUNT` exceeds the try count, file errors are terminated when the try count is reached. The default is to try a request 5 times before terminating the transfer with a permanent error.
`FILE_ERROR_TRY_INTERVAL` | Defines the amount of time in seconds that a request waits after a retry-able file error and before the request is retried. The default value is `60`. Valid values are from `10` to `9999`. Note: The actual interval can be up to 60 seconds or more than the value specified, depending on when the error occurs and when the dispatcher runs.
`FIND_NODE_COMPATIBILITY` | Defines the mechanism for finding a node definition for incoming requests. In MFT 7.2 and later, the code uses a reverse DNS lookup to match the incoming request to a node definition; prior releases used a one-time DNS request to match the incoming request to a node definition. Valid values are: `Yes`: Uses both methods to match an incoming request to a node definition. Both the reverse DNS lookup and the DNS lookup are used. `No`: Uses only the reverse DNS look will be used to match an incoming request to a node definition. This is the default value.
`HOLD_TEMPORARY_FILE_ERRORS` | Defines what happens when a locally initiated file transfer is completed with a temporary file error, and the Platform Server retries until the GLOBAL `FILE_ERROR_TRY_COUNT` is exceeded. Valid values are: `NO`: Purges the transfer from the active queue. This is the default value. `YES`: Puts the transfer on the hold queue. The operator can then release the transfer when the condition that caused the error is resolved.
`HOLD_TEMPORARY_NETWORK_ERROR`S | This parameter contains two sub-parameters. The first sub-parameter defines what happens when a locally initiated file transfer is completed with a temporary file or network error, and the Platform Server retries until the batch try count or GLOBAL `DEFAULT_TRY_COUNT` is exceeded. For the first sub-parameter, valid values are: `NO`: Purges the transfer from the active queue. This is the default value. `YES`: Puts the transfer on the hold queue. The operator can then release the transfer when the condition that caused the error is resolved. The second sub-parameter defines if the file can be released automatically. For the second sub-parameter, valid values are: `NORELEASE`: The transfer cannot be released automatically. The transfer must be released by a Platform Server operator. `RELEASE`: The Platform Server can automatically release the file transfer request. The transfer request can be released in the following two ways: The operator can release the transfer. The transfer can also be released if another transfer request is successfully performed with the same node. The request that causes the transfer to be released can be initiated locally or remotely.
`HSM_MIGRATE_VOLUME` | Defines the 6 character volser that informs the Platform Server when a dataset is migrated. The default value is `MIGRAT`. When the Platform Server detects a migrated dataset, the dataset is recalled before the transfer is started.
`IGNORE_EBCDIC_LF` | Defines whether EBCDIC line feed (0x25) and new line (0x15) characters are checked when the transfer DELIMITER is set to LF or CRLF. ASCII line feeds (0x0A) are always checked. The default value of `NO` indicates that both EBCDIC and ASCII line feeds are checked. When set to `YES`, only ASCII line feeds are checked. When CRLF is set to LF, the following delimiters are checked: 0x0a, 0x15, 0x25 When CRLF is set to CRLF, the following delimiters are checked: 0x0d0a, 0x0d15, 0x0d25 Note: This parameter is only used when z/OS is receiving a file and the delimiter is set to LF or CRLF.
`INFODESC` | Defines the default descriptor code for information messages from the Platform Server. You can specify as many descriptor codes as you want. Separate descriptor codes by commas. It is a good practice that you leave this parameter as the default value `4`.
`INFOROUTE` | Defines the default console route code for information messages from the Platform Server. You can specify as many route codes as you want. Separate route codes by commas. It is a good practice that you leave this parameter as the default value `15`.
`INITIATORSTOP` | Defines whether the user can start the Platform Server in a quiesced mode. Valid values are: `NO`: Initiator tasks run normally when the Platform Server is started. This is the default value. `YES`: The Platform Server can be started, but cannot initiate any file transfer requests. You can use the `INITIATORSTOP` operator command to stop initiator requests while the Platform Server is running, and use the `INITIATORSTART` operator command to start initiator tasks again.
`JOB_SUBMIT_DSN` | Defines the PDS dataset name used for the `SUBMIT` operand. When you use `TYPE=COMMAND`, `SUBMIT=membername` operand of the Platform Server batch interface to submit a job, if the JCL is located on the remote system, you can define the JCL to be submitted through one of the following two ways: Specify the entire dataset name in the `SUBMIT` operand. Specify just a member in the `SUBMIT` operand. When just a member name is specified in the `SUBMIT` operand, the Platform Server uses the dataset name defined in the GLOBAL JOB_SUBMIT_DSN parameter. Note: This field must be from 1 to 44 characters and must specify a cataloged PDS dataset. Member names must not be specified on this parameter.
`MANAGE_INTERFACE_PROTOCOL` | Defines the protocols that are accepted to manage transfers. Platform server transfers can be managed in three ways: cross memory, SNA communication and TCP communication. Cross memory requests are always accepted. Only TCP and SNA protocols can be restricted. Valid values are: `ALL`: TCP, SNA and cross memory requests are all accepted. This is the default value. `NONE`: Only cross memory requests are accepted. `TCP`: TCP and cross memory requests are accepted. `SNA`: SNA and cross memory requests are accepted. Note: This parameter describes how transfers can be managed and does not regulate how transfers actually execute. Only the following programs that manage transfers are referred to: Batch: OSIUB000 and OSIUC000 OPERATE function ISPF: REXX and ISPF panels
`MAX_AUDIT_RECORDS` | Defines the number of audit records that can be written to the Platform Server audit file. When that number is exceeded or the file runs out of space, the Platform Server begins rewriting over the oldest records in the audit files. The default value is `25,000` and the valid range is from `100` to `99,999,999`. Note: This parameter is dependent on the size allocated for the audit VSAM dataset. The `MAX_AUDIT_RECORDS` must not be greater than the maximum number of records that can fit into the audit VSAM dataset. For more information, see Defining the Audit VSAM dataset.
`MAXINITS` | Defines the maximum number of initiator requests that can be active on this system at any one time. The default value is `100`. The valid range is from `1` to `99,999`.
`MAXRESP` | Defines the number of responder transfers that can be active on this system at any one time. The default value is `70`. The valid range is from `1` to `99,999`.
`MAXSCRIPTS` | Defines the maximum number of script requests that can be active on this system at any one time. The default value is `50`. The valid range is from `1` to `99,999`. This parameter is used to limit the number of concurrent scripts that can be executed in the started task. This value must be less than or equal to the `MAXINITS` value.
`MAXTOTAL` | Defines the number of transfers in total that can be active on this system at any one time. The default value is `100`. The valid range is from `1` to `99,999`. The default value `100` is adequate for most users.
`MIXED_CASE_PASSWORDS` | Defines whether password validation uses mixed case passwords or translates all passwords to upper case. Valid values are: `Yes`: Passwords are not translated to upper case. `No`: Passwords are translated to upper case. This is the default value.
`MODENAME` | Defines the SNA mode name. It is a good practice that you leave it as the default value. If you do not use the default value, you must define a VTAM mode entry. Valid values must be from 1 to 8 characters and must correspond to a VTAM MODEENT. The default value is `#BATCH`. You can refer to the Platform Server sample library for an example.
`MQ_FAIL` | Defines the message queue where the Platform Server sends a notification message when a file transfer request is completed unsuccessfully. Valid values are `$MQ:queue_manager_name:message_queue_name`. `$MQ` is a literal and must be the first three characters. The message queue name must be from 1 to 55 characters. This parameter has no default value, which means that no MQ notification takes place when a request fails.
`MQ_GOOD` | Defines the message queue where the Platform Server sends a notification message when a file transfer request completes successfully. Valid values are `$MQ:queue_manager_name:message_queue_name`. `$MQ` is literal and must be the first three characters. The message queue name must be from 1 to 55 characters. This parameter has no default value, which means that no MQ notification takes place when a request is successful.
`MQ_NOTIFY` | Defines when the Platform Server sends MQ notifications. Valid values are: `NONE`: No MQ notification is sent. This is the default value. `INITIATOR`: MQ notification is sent for initiator tasks. `RESPONDER`: MQ notification is sent for responder tasks. `BOTH`: MQ notification is sent for both initiator and responder tasks. Note: The GLOBAL `MQ_GOOD` and `MQ_FAIL` are also required before notifications take place.
`MQ_WAIT_MSEC` | Defines the interval in milliseconds that MQ waits for additional data before returning EOF. The default value is `5000`. This means MQ waits for additional data for 5 seconds before returning EOF. Valid values are from `0` to `99999999`. A value of `0` tells MQ not to wait for additional data and return EOF after reading the last record.
`OUTC` | Defines the output class to which the Platform Server log is written. Use a held SYSOUT class so the log can be browsed online. Valid values are from `A` to `Z`, or `0` to `9`. The default value is blank, which implies that the SYSOUT log goes to the system wide default SYSOUT class.
`OUTDEST` | Defines the JES destination of the Platform Server SYSOUT log. Valid values are from 1 to 8 characters. The default value is `LOCAL`.
`PDS_SPACE_RELEASE` | Defines whether unused disk space is automatically released when a PDS file is created. Valid values are: `YES`: Releases unused disk space when a PDS file is created. This is the default value. `NO`: Does not release unused disk space when a PDS file is created. Note: This parameter applies only to PDS and PDSE files. It is ignored when a user specifically tells the Platform Server to release or not release space for a particular file.
`PDS_WRITE_DISP` | Defines how the Platform Server allocates PDS files when the Platform Server is updating or writing a PDS file. Valid values are: `OLD`: The Platform Server requires exclusive access (`DISP=OLD`) to the dataset. This is the default value. `SHR`: The Platform Server requires shared access (`DISP=SHR`) to the dataset.
`PRIMARY_SPACE` | Defines the number of cylinders or tracks to allocate for the primary allocation when creating a new z/OS dataset if the Platform Server is acting as a responder. When you first install the product, you can leave this parameter to the default value `3`. Note: The Platform Server allocates new datasets with the release (RLSE) option to avoid wasting space. If that is not acceptable, then you can preallocate the file. This parameter is only used when the initiator of the transfer is not running TIBCO MFT Platform Server for z/OS and has not specified the allocation information.
`REMOVE_TRAILING_CR` | Defines whether to remove the CR delimiter when z/OS is receiving a file with the `CRLF=LF` parameter and the file being received is CRLF delimited rather than just LF delimited. Valid values are: `YES`: The Platform Server automatically removes the trailing CR delimiter. `NO`: The Platform Server does not remove the trailing CR delimiter. This is the default value.
`REQUIRE_NODE_DEFINITION` | Defines whether node definition must be enabled before a transfer request can take place. This parameter has two subparameters. The first subparameter is for initiator requests and the second subparameter is for responder requests. The default values are `NO,NO`. If `YES` is specified for an initiator request, the `IPADDR` and `IPNAME` parameters cannot be used. Requests can be scheduled only through the use of the `NODE` parameter, and the node specified in the `NODE` parameter must be enabled. If `IPADDR` or `IPNAME` parameters are used or if the node specified on the `NODE` parameter is not enabled, the request is terminated with an error. If `YES` is specified for a responder request, the Platform Server checks the node definitions when a request is received. If the LUNAME or IP address from which the request is received is defined on an enabled node definition, the request is accepted. Otherwise, the request is rejected with an error.
`RESETINTERVAL` | Defines the time in minutes before the Platform Server reset all retry-able errors and retry file transfers. Valid values are `1` to `60`. The default value is `7`.
`RESPONDER_PROFILE` | Defines if the system requires responder profiles when a request comes in. Valid values are: `YES`: Requires responder profiles. This can only be overridden by a node definition that specifies the `RESPONDER_PROFILE` parameter. `NO`: does not require responder profiles. This is the default value. `DUAL`: The responder profiles are checked. If no matches are found in the responder profile, the request can continue to be processed, and the user ID and password are checked against the RACF or ACF2 or Top Secret security system. For more information, see User Profiles.
`RESPONDER_PROFILE_LPASS` | Defines whether a local password is required when defining a responder profile for a local user that is different than the user initiating the request. Valid values are: `YES`: Local password is required to create a responder profile when the user initiating the request is different than the user defined by the `LUSER` parameter. `NO`: Local password is not required to create a responder profile when the user initiating the request is different than the user defined by the `LUSER` parameter. This is the default value.
`RESPONDERSTOP` | Defines whether a user can stop responder requests while the Platform Server is running. Valid values are: `YES`: The Platform Server can be started, but cannot accept any responder file transfer requests. You can use the `RESPONDERSTART` operator command to start responder tasks again. `NO`: Responder tasks run normally when the Platform Server is started. This is the default value.
`RPROFILE_MIN_LENGTH` | Defines the minimum length of the responder profile password. Valid values are `4` - `10`. The default value is `6`.
`RPROFILE_MIN_LETTERS` | Defines the minimum number of letters. Note: When computing the minimum number of letters, the upper and lower case versions of the same character are considered the same character. So a password of `AaBb` is computed as having two letters. Valid values are `3` - `8`. The default value is `3`.
`RPROFILE_MIN_NUMBER` | Defines the minimum number of numbers. Valid values are `0` - `8`. The default value is `1`.
`RPROFILE_MIN_SPECIAL` | Defines the minimum number of special characters. The valid special characters are `!@#$%();:&<>` Valid values are `0` - `8`. The default value is `1`.
`RPROFILE_MIN_UNIQUE` | Defines the minimum number of unique characters. Valid values are `3` - `8`. The default value is `4`.
`RPROFILE_PASSWORD_VALIDATION` | Defines whether the responder profile password validation is performed. Valid values are: `YES`: Validates the responder profile password strength. `NO`: Does not validate the responder profile passwords. Default: `NO`
`RPROFILE_REQUIRE_UPPER_LOWER` | Defines whether the upper and lower case character ss are required: Valid values are: `YES`: Requires upper and lower case characters. The default value is `YES`. `NO`: Upper and lower case characters are not required.
`RSHOST` | Defines the IP address or host name of the RocketStream server. By defining a host on the command line or in a transfer template, you can override the `RSHost` value configured in the `config.txt`. When this parameter is not defined, if you have `RSAccelerator` set to `Yes`, the value configured for `RSHost` in the `config.txt` is used.
`RSPORT` | Defines the port number the RocketStream server is listening on for transfers using the RocketStream technology. By defining a port number on the command line or in a transfer template, you can override the `RSPort` value configured in the `config.txt`. The default value is `9099`.When this parameter is not defined, if you have `RSAccelerator` set to `Yes`, then the value configured for `RSPort` in the `config.txt` is used.
`SAPI_INTERFACE` | Defines whether the Platform Server Sysout API (SAPI) interface program is activated. Valid values are: `YES`: Activates the SAPI interface. `NO`: Does not activate the SAPI interface. This is the default value. The SAPI interface extracts data off the JES spools and transmits it to a remote system either as a file or a report.
`SAPI_SUBSYSTEM` | Defines the name of the SAPI subsystem. Valid values must be 4 bytes. Using this parameter, you can override the name of the subsystem that is used for all SAPI requests. This parameter is not required because the default value is the name of the primary subsystem, which is either JES2 or JES3. If you must use a secondary subsystem, you can use this parameter to override the subsystem name.
`SAPI_USERID` | Defines whether SAPI requests are run under that ACEE of the started task or under another user ID. By specifying or using the default value of `STC`, all SAPI functions run under the ACEE of the started task. By specifying a valid z/OS user ID, all SAPI functions, including scanning the JES queue for output, processing the request, and performing postprocessing actions on output, run under this user ID's authorization.
`SECONDARY_SPACE` | Defines the number of units that are allocated on disk for the secondary space allocation for new datasets created by the Platform Server. The type of units is determined by the `SPACE=` parameter. The default value is `0`.
`SEND_EMAIL_ON_CANCEL` | Defines whether a failure notification email will be sent when an inactive or held transfer is canceled: Valid values are: `YES`: Sends an email when an inactive or held transfer is canceled. `NO`: Does not send an email when an inactive or held transfer is canceled. Default: `YES`
`SENDER_FAILURE` | Defines the sender email address that will be used when a Failure Notification email is sent. When defined, this overrides the GLOBAL `SMTP_SENDER_HOSTNAME` and the hard-coded `TRANSFER_FAIL` value. There is no default for this parameter.
`SENDER_SUCCESS` | Defines the sender email address that will be used when a Success Notification email is sent. When defined, this overrides the GLOBAL `SMTP_SENDER_HOSTNAME` and the hard-coded `TRANSFER_GOOD` value. There is no default for this parameter.
`SMF` | Defines whether SMF records are written. Valid values are `NO` or an SMF record number ranging from `192` to `255`. For more information on SMF data format, see TIBCO® Managed File Transfer Platform Server for z/OS User's Guide.
`SMS_STORAGE_CLASS` | Defines the name of the SMS storage class to be used when the Platform Server creates new datasets. The valid value is a 1-character to 8-character storage class name. Do not specify this parameter unless you use SMS and your storage or DASD administrator specifically advises it for incoming files.
`SMTP_DEST` | Defines the JES destination that is used when an email is sent by the Platform Server. The valid value is an 8 character JES SYSOUT destination. If this parameter is not defined, the email is sent to the default JES destination. Using this parameter, the Platform Server can send the data to an SMTP server running on a different system.
`SMTP_JOBNAME` | Defines the name of the SMTP started task. This name is required for the Platform Server email feature and it must match the name of the SMTP started task.
`SMTP_LOCALCLASS` | Defines the SYSOUT class to which the Platform Server writes SMTP requests. This class must match the `LOCALCLASS` parameter of the SMTP configuration dataset.
`SMTP_SENDER_HOSTNAME` | Defines the name of the TCP host. When sending an email, the Platform Server uses this name when setting up the SMTP `MAIL FROM` command. This name shows up as the sender of the email when the email is read. Valid values can be up to 40 bytes of data.
`SPACE` | Defines the default space allocation in cylinders or tracks. This is the default unit type for space allocations when a new dataset must be created on this system to satisfy a Platform Server activity.
`SSL_CLIENT_DNLABEL` | Defines the label name of the certificate that is used by the SSL client. This certificate is used for the client. If you want to use the default certificate, you must specify this parameter as `NULL` in upper case. If this parameter is not specified, the SSL client uses the certificate label defined by the `SSL_DNLABEL` parameter. If you are using the `gskkyman` utility, the label name is entered when issuing the certificate request. When using the `RACDCERT` command, the label name is specified on the `ADD` request by the `WITHLABEL` parameter.
`SSL_DNLABEL` | Defines the label name of the certificate that is used by the SSL server. This certificate is used for the server. If you want to use the default certificate, you must specify this parameter as `NULL` in upper case. If the `SSL_CLIENT_DNLABEL` parameter is not specified, the SSL client also uses this certificate defined for the server. If you are using the `gskkyman` utility, the label name is entered when issuing the certificate request. When using the `RACDCERT` command, the label name is specified on the `ADD` request by the `WITHLABEL` parameter.
`SSL_ENCRYPT` | Defines the level of encryption that is used by default for SSL requests in your system. This parameter is ignored for TLS Tunnel requests because all data is encrypted within the TLS Tunnel. Valid values are: `NONE`: No encryption `AES`: AES 256-bit encryption `AES128`: AES 128-bit encryption `DES`: DES encryption `3DES`: Triple DES encryption ``BLOWFISH`| BF`: Blowfish 56-bit encryption. This is the default value. `BLOWFISH_LONG | BFL`: Blowfish 448-bit encryption Note: `RJ` and `RIJNDAEL` are also accepted, but the compatible `AES` encryption is used instead.
`SSL_KEY_DBNAME` | Defines the name of the key database or the ring name that contains the certificates used by the Platform Server. If you are using the z/OS shell bases utility `gskkyman`, then you must define the name of the HFS key database file created by that utility. If you are using the RACF `RACDCERT` command, then you must define the name of the key ring associated with the Platform Server started task.
`SSL_KEY_DBSTASH` | Defines the name of the HFS key database stash file. If you are not using a stash file, you must omit this parameter or specify this parameter as `NULL`. If you are using a key ring, you must omit this parameter or specify this parameter as `NULL`. If possible, do not use the stash file. If you are using the `gskkyman` utility, it is a good practice that you use the $SSLDB user profile instead.
`SSL_NETWORK_IPADDR` | Defines the IP address of the local system. The default value is the IP address of the local system. This parameter is used to define whether a request must be an SSL request. The Platform Server takes the IP address of the local system and the IP address of the target system. The Platform Server determines the subnet of these two addresses by using the `SSL_NETWORK_SUBNET` parameter. The Platform Server then compares the two values to determine if a request is within the subnet or outside the subnet. If inside the subnet, then the request does not have to be an SSL request. If outside the subnet, then the request must be an SSL request.
`SSL_NETWORK_IPADDR_IPV6` | Defines the IPV6 address of the local system. This parameter is used to decide whether a request must be an SSL request. The Platform Server takes the IPV6 address of the local system and the IP address of the target system, and determines the subnet of these two addresses by using the `SSL_NETWORK_SUBNET_IPV6` parameter, and then compares the two values to determine if a request is within the subnet or outside the subnet. If inside the subnet, then the request does not have to be an SSL request. If outside the subnet, then the request must be an SSL request.
`SSL_NETWORK_SUBNET` | Defines the subnet of the `SSL_NETWORK_IPADDRESS` that is used to check if a request must use SSL. This is specified in dotted decimal format. Any target system that is outside of the defined subnet requires SSL. This parameter has no default value.
`SSL_NETWORK_SUBNET_IPV6` | Defines the subnet of the `SSL_NETWORK_IPADDR_IPV6` that is used to check if a request must use SSL. You must specify a number ranging from `0` to `128` and divisible by 8. Any target system that is outside of the defined subnet requires SSL. This parameter has no default value.
`SSL_REQUEST` | Defines when or whether SSL must be used. Valid values are: `NO`: SSL is not required but can be used. This is the default value. `YES`: SSL must be used for both initiator and responder requests. `OUTSIDE_NETWORK`: SSL usage depends on the IP address of the target system and how it compares with the address of the local system. If the target system address is outside the subnet defined by the `SSL_NETWORK_IPADDRESS` and `SSL_NETWORK_SUBNET` parameters, the request must use SSL.
`SSL_REQUEST_IPV6` | Defines when or whether SSL must be used on IPV6 networks. Valid values are: `NO`: SSL is not required but can be used. This is the default value. `YES`: SSL must be used for both initiator and responder requests. `OUTSIDE_NETWORK`: SSL usage depends on the IPV6 address of the target system and how it compares with the address of the local system. If the target system address is outside the subnet defined by the `SSL_NETWORK_IPADDR_IPV6` and `SSL_NETWORK_SUBNET_IPV6` parameters, then the request must use SSL.
`SSL_VERSION` | This parameter is typically not used, because the Platform Server automatically detects the operating system level. Valid values are `OS390` and`ZOS`. This parameter has no default value. Ensure that you only use this parameter under TIBCO Support instructions.
`TAPE_SECURITY_EXIT` | Defines the processing performed when the SMS tape security exit is invoked for a tape mount that is not expired. Valid values are: `ERROR`: Rejects the tape mount. Terminates the transfer with retry-able abend 913-34. `IGNORE`: Performs the default SMS action. This is the default value.
`TCP_CONNECT_TIMEOUT` | Defines the amount of time in seconds that TCP waits for a TCP connect request to be completed before terminating the request with an error. The default is to wait until TCP times out the request. Valid values are from `10` to `180`.
`TCP_KEEPALIVE` | Defines the seconds between keepalive, that is, how periodically a packet is sent on an otherwise idle connection for a stream socket. By default, this option is disabled. Valid values are either `0` or a number from `30` to `7200`. The default value is `0` and it means no keepalive.
`TCP_TIMEOUT` | Defines the interval in minutes after which the Platform Server terminates all TCP read and write requests that are not completed. If you leave this parameter to the default value `30`, the Platform Server terminates a request only when TCP detects that a connection is terminated. The maximum value is `1440`, which is the number of minutes in one day. You have to set this parameter high enough to ensure that network re-transmissions and tape mounts do not cause a request to fail.
`TCPCONNECT_ADAPTER_IPADDR` | Defines the IP address of the TCP network interface to which your Platform Server started task binds for outgoing connections. The default value `ALL` means to bind to all TCP network interfaces. If you want to bind to only a single network interface, specify the dotted decimal address of the network interface, so the Platform Server only binds to that network interface for outgoing requests. Note: This parameter is used only for outgoing requests, and is ignored for incoming requests.
`TCPCONNECT_ADAPTER_IPADDR_IPV6` | Defines the IP address of the TCP network interface that your Platform Server started task binds to for outgoing IPv6 connections. The default value `ALL` means to bind to all TCP network interfaces. If you want to bind to only a single network interface, specify the IPv6 address of the network interface, so the Platform Server only binds to that network interface for outgoing requests. Note: This parameter is used only for outgoing requests, and is ignored for incoming requests.
`TCPIPJOBNAME` | Defines the name of the TCP/IP started task on the local z/OS system. The job name can contain up to 8 characters.
`TCPIPPORT` | Defines the IP port that the Platform Server listens on for incoming transfer requests. Valid values are either `0` or a number from `1025` to `65535`. The default value is `46464`. If `0` is specified, then the Platform Server does not listen for incoming requests. This parameter is also used as the default IP port on a TCP connect request unless the `IPPORT` on the NODE or PROCESS statements is specified.
`TCPIPPORT_IPV6` | Defines the IPv6 port that the Platform Server listens on for incoming transfer requests. Valid values are either `0` or a number from `1025` to `65535`. The default value `0` indicates that the Platform Server does not listen for incoming IPv6 requests.
`TCPLISTEN_ADAPTER_IPADDR` | Defines the IP address of the TCP network interface that your Platform Server started task listens for incoming connections. The default value `ALL` means to listen to all TCP network interfaces. If you want to listen to only a single network interface, specify the dotted decimal address of the network interface, so the Platform Server only listen to that network interface for incoming requests. Note: This parameter is used only for incoming requests, and is ignored for outgoing requests.
`TCPLISTEN_ADAPTER_IPADDR_IPV6` | Defines the IP address of the TCP network interface that your Platform Server started task listens for incoming IPV6 connections. The default value `ALL` means to listen to all TCP network interfaces. If you want to listen to only a single network interface, specify the IPV6 address of the network interface, so the Platform Server then only listen to that network interface for incoming requests. This parameter is used only for incoming IPV6 requests, and it is ignored for outgoing requests.
`TEXTEOFTERM` | Defines whether the Platform Server for z/OS adds a LF or CRLF delimiter to the last record of a text transfer to a UNIX or Windows server. Valid values are: `NO`: Does not append LF or CRLF to the last record. This is the default value. `YES`: Appends LF or CRLF to the last record. Note: This parameter can be overridden by the batch `TEXTEOFTERM` parameter.
`TLSCIPHERS` | Defines the TLS ciphers that are supported by MFT. The ciphers must be defined as 4 alphanumeric digits. The ciphers are documented in Appendix C of the IBM manual: z/OS Cryptographic Services System Secure Sockets Layer Programming. If not defined, MFT uses the default SSL ciphers. If FIPS140 is specified, only FIPS approved ciphers are used. Ciphers that meet the following criteria are specified in the sample GLOBAL member: FIPS approved AES256 SHA or higher message digest Multiple `TLSCIPHERS` parameters can be defined. One TLS cipher can be defined for each `TLSCIPHERS` parameter. The text after the 4 alphanumeric digits is used for documentation only and is ignored.
`TLSENABLEDPROTOCOLS` | Defines the TLS protocols that are supported when running in SSL Mode. Multiple TLS parameters can be entered separated by a comma. Valid values are: TLSV1: TLSV1 is supported. TLSV1_1: TLSV1_1 is supported. TLSV1_2: TLSV1_2 is supported. ALL Note: SSLV2 and SSLV3 are not supported. Example: TLSENABLEDPROTOCOLS=TLSV1_1,TLSV1_2 If this parameter is not entered, the default is `ALL`.
`TLSIPPORT` (`SSLIPPORT`) | Defines the IP port that the Platform Server listens on for TLS requests. If a non-TLS request is received on this IP port, then an error message is sent to the initiator and the request is terminated. This field must be different than the `IPPORT` parameter, and unique on the z/OS system. This parameter has no default value. If this parameter is not defined, then TLS processing is disabled.
`TLSIPPORT_IPV6` (`SSLIPPORT_IPV6`) | Defines the IPV6 port that the Platform Server listens on for TLS requests. Valid values are either `0` or a number from `1025` to `65535`. The default value `0` indicates that the Platform Server does not listen for incoming IPV6 TLS requests. If a non-TLS request is received on this port, then an error message is sent to the initiator and the request is terminated. This field must be different than the `IPPORT` parameter, and unique on the z/OS system.
`TLSLISTEN_ADAPTER_IPADDR` (`SSLLISTEN_ADAPTER_IPADDR` ) | Defines the adapter that the Platform Server must bind to before issuing a TCP listen request for the TLS IP port. This indicates that the Platform Server accepts only requests that come in through the interface defined with this specified IP address. The default value `ALL` means to listen to all interfaces for incoming requests. The address specified must be in dotted decimal format and match an IP address defined for a network interface in the TCP/IP configuration.
`TLSLISTEN_ADAPTER_IPADDR_IPV6` (`SSLLISTEN_ADAPTER_IPADDR_IPV6`) | Defines the IPv6 address of the TCP network interface that your Platform Server started task listens for incoming TLS connections. The default value `ALL` means to listen to all TCP network interfaces. If you want to listen to only a single network interface, specify the IPv6 address of the network interface, and the Platform Server only listens to that network interface for incoming requests. Note: This parameter is used only for incoming SSL requests, and is ignored for outgoing requests.
`TLSTUNNELIPPORT` | Defines the IPPORT that MFT Platform Server listens on for IPV4 TLS tunnel requests. Only TLS tunnel requests are received on this port. If a non-SSL or an SSL request is received on this port, an error is displayed and the request fails. Because a transfer has not been initiated, no audit record is written. This field must be unique on the z/OS system. There is no default for this parameter. If this parameter is not defined, then IPV4 TLS tunnel processing is disabled.
`TLSTUNNELIPPORT_IPV6` | Defines the IPPORT that MFT Platform Server listens on for IPV6 TLS tunnel requests. Only TLS tunnel requests are received on this port. If a non-SSL or an SSL request is received on this port, an error is displayed and the request fails. Because a transfer has not been initiated, no audit record is written. This field must be unique on the z/OS system. There is no default for this parameter. If this parameter is not defined, then IPV6 TLS tunnel processing is disabled.
`TRANSFER_INTERFACE_PROTOCOL` | Defines the protocols that are accepted to initiate transfers. You can initiate transfers in three ways: cross memory, SNA communication and TCP communication. Cross memory requests are always accepted. Only TCP and SNA protocols can be restricted. Valid values are: `ALL`: TCP, SNA and cross memory requests are all accepted. This is the default value. `NONE`: Only cross memory requests are accepted. `TCP`: TCP and cross memory requests are accepted. `SNA`: SNA and cross memory requests are accepted. This parameter describes how transfers can be scheduled, but does not regulate how transfers are actually executed. Only the following programs that initiate transfers are referred to: Batch: `OSIUB000` and `OSIUC000` ISPF: REXX and ISPF panels
`TRAP_COMMUNITY` | Defines the community name for the SNMP trap. Note: This parameter is case sensitive. Most SNMP communities are defined in lower case letters.
`TRAP_IPADDR` | Defines the IP address of the SNMP trap receiver. If the parameter is not defined, SNMP traps are not sent. If this parameter is defined, SNMP traps are sent to the address defined by this parameter.
`TRAP_IPPORT` | Defines the IP port to which the traps are sent. On most SNMP computers, the default port number is `162`.
`TRAP_TRANSFER_REQUESTS` | Defines whether SNMP traps are sent for file transfers. Valid values are: `YES`: Trap requests are sent for all transfer requests that are completed either successfully or unsuccessfully. `NO`: Trap requests are not sent. This is the default value. `ERRORS`: Trap requests are sent when a request is unsuccessful and no more retries can be made.
`UNEXPIRED_DISK_FILE_DELETE` | Defines whether MFT allows Receive Transfers defined with a disposition of DNEW to delete a file that has not expired: Valid values are: `YES`: Allows MFT to delete unexpired files when DISP=DNEW `NO`: Does not allow MFT to delete unexpired files when DISP=DNEW. `NO` is the default value.
`UNEXPIRED_DISK_FILE_UPDATE` | Defines whether MFT allows Receive Transfers to update a file that has not expired: `YES`: Allows MFT to update unexpired files. `NO`: Does not allow MFT to update unexpired files. `NO` is the default value. Note: If this parameter is set to `YES`, message IEC507D is displayed and an operator response is awaited. Until the operator responds, subsequent dynamic allocations will hang. We suggest not setting this parameter to `YES` unless you have defined an automatic response to the IEC507D message.
`UNIT` | Defines the unit name used when allocating new datasets created by the Platform Server responder, if the file availability is `Immediate`. This is the unit type for incoming disk datasets. You can adjust this to your installation requirements.
`VOLUME` | Defines the default volume serial used for new datasets created by the Platform Server responder. Do not leave this as the default value. You can adjust it to meet your installation requirements. If this parameter is omitted, the volume is assigned from the pool of devices for the unit type defined by the UNIT parameter.
`ZEDCCOMPRESSION` | Defines whether to use ZEDC data compression. Valid values are: `Yes`: This is the default value. When the ZEDC (zEnterprise Data Compression) hardware is installed and enabled and when the correct RACF definitions are made, MFT performs ZEDC ZLIB compression using the hardware compression accelerator card. When this option is set, all ZLIB compression will be ZLIB2. When the ZEDC compression is not available, MFT will fallback to software compression. `No`: Does not use the ZEDC ZLIB compression. Uses software compression. Note: To use ZLIB hardware compression, you must grant READ access to Facility Class FPZ.ACCELERATOR.COMPRESSION to all transfer users that can perform hardware compression. Refer to the following manual for more details: z/OS MVS Programming: Callable Services for High-Level Languages

Copyright © 2003-2021. TIBCO Software Inc. All Rights Reserved.